// -*- c++ -*-
/***************************************************************************
                          EnPassantTestCase.h  -  description
                             -------------------
    begin                : Thu Aug 23 2001
    copyright            : (C) 2001 by Sven Reichard
    email                : reichard@math.udel.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ENPASSANTTESTCASE_H
#define ENPASSANTTESTCASE_H

# include "Game/EnPassantSentry.h"
#include "TestHeader.h"

using namespace Alice;
/**test case for the en passant sentry
  *@author Sven Reichard
  */

class EnPassantTestCase
  : public TestFixture
{
  CPPUNIT_TEST_SUITE( EnPassantTestCase );
  CPPUNIT_TEST( initial );
  CPPUNIT_TEST( doubleStep );
  CPPUNIT_TEST( doMove );
  CPPUNIT_TEST_SUITE_END();
protected:
  void initial();
  void doubleStep();
  void doMove();
private:
  EnPassantSentry sentry;
};

#endif
